// glass material list
//
// TODO:
//   if and when multitexturing is available in the engine, the old glass_env
// will be blended on top of the sky cubemap to hide the lack of actual objects
// in the reflection on the surface. see textures/glass/plain for a proposed
// material.

textures/glass/blue
{
	qer_editorimage textures/glass/blue
	{
		color 0.00 0.00 1.00
		specular 0.00 0.00 1.00
		shininess 256
		environment
	}
}

textures/glass/blue_bright
{
	qer_editorimage textures/glass/blue
	{
		color 0.25 0.25 1.00
		environment
		bright
	}
}

textures/glass/red
{
	qer_editorimage textures/glass/red
	{
		color 1.00 0.00 0.00
		specular 1.00 0.00 0.00
		shininess 256
		environment
	}
}

textures/glass/red_bright
{
	qer_editorimage textures/glass/red
	{
		color 1.00 0.25 0.25
		environment
		bright
	}
}

textures/glass/green
{
	qer_editorimage textures/glass/green
	{
		color 0.00 1.00 0.00
		specular 0.00 1.00 0.00
		shininess 256
		environment
	}
}

textures/glass/green_bright
{
	qer_editorimage textures/glass/green
	{
		color 0.25 1.00 0.25
		environment
		bright
	}
}

textures/glass/yellow
{
	qer_editorimage textures/glass/yellow
	{
		color 1.00 1.00 0.00
		specular 1.00 1.00 0.00
		shininess 256
		environment
	}
}

textures/glass/yellow_bright
{
	qer_editorimage textures/glass/yellow
	{
		bright
		color 1.00 1.00 0.25
		environment
	}
}

textures/glass/orange
{
	qer_editorimage textures/glass/orange
	{
		color 1.00 0.50 0.00
		specular 1.00 0.50 0.00
		shininess 256
		environment
	}
}

textures/glass/orange_bright
{
	qer_editorimage textures/glass/orange
	{
		color 1.00 0.75 0.25
		environment
		bright
	}
}

textures/glass/brown
{
	qer_editorimage textures/glass/brown
	{
		color 0.50 0.25 0.00
		specular 1.00 1.00 1.00
		shininess 256
		environment
	}
}

textures/glass/brown_bright
{
	qer_editorimage textures/glass/brown
	{
		color 0.75 0.50 0.25
		environment
		bright
	}
}

textures/glass/purple
{
	qer_editorimage textures/glass/purple
	{
		color 1.00 0.00 1.00
		specular 1.00 0.00 1.00
		shininess 256
		environment
	}
}

textures/glass/purple_bright
{
	qer_editorimage textures/glass/purple
	{		
		color 1.00 0.25 1.00
		environment
		bright
	}
}

textures/glass/dark
{
	qer_editorimage textures/glass/dark
	{
		color 0.50 0.50 0.50
		specular 1.00 1.00 1.00
		shininess 256
		environment
	}
}

textures/glass/dark_bright
{
	qer_editorimage textures/glass/dark
	{
		color 0.75 0.75 0.75
		environment
		bright
	}
}

textures/glass/plain
{
	qer_editorimage textures/glass/plain
	{
		color 1.00 1.00 1.00
		specular 1.00 1.00 1.00
		shininess 256
		environment
	}

	// this is a proposed material, assuming a multitexture implementation
	// will be much like the quake 3 shader system.
	// qer_editorimage textures/glass/plain
	// {
	//	map $skybox
	//	environment
	// }
	// {
	//	map textures/fx/glass_env
	//	blend GL_DST_COLOR, GL_ONE
	// }
}

textures/glass/plain_bright
{
	qer_editorimage textures/glass/plain
	{		
		color 1.00 1.00 1.00
		environment
		bright
	}
}

textures/glass/entity
{
	qer_editorimage textures/glass/entity
	{
		entity
		shininess 256
		environment
	}
}

textures/glass/entity_bright
{
	qer_editorimage textures/glass/entity
	{
		entity
		shininess 256
		environment
		bright
	}
}

textures/glass/entity_dark
{
	qer_editorimage textures/glass/entity_dark
	{		
		color 0.50 0.50 0.50
		specular 1.00 1.00 1.00
		shininess 256
		entity
		environment
	}
}

textures/glass/entity_dark_bright
{
	qer_editorimage textures/glass/entity_dark
	{
		bright entity color 0.75 0.75 0.75
		shininess 256
		entity
		environment
		bright
	}
}

textures/glass/entity_second
{
	qer_editorimage textures/glass/entity_second
	{		
		shininess 256
		entitySecond
		environment
	}
}

textures/glass/entity_second_bright
{
	qer_editorimage textures/glass/entity_second
	{
		shininess 256
		entitySecond
		environment
		bright
	}
}

textures/glass/entity_second_dark
{
	qer_editorimage textures/glass/entity_second_dark
	{		
		color 0.50 0.50 0.50
		shininess 256
		entitySecond
		environment
	}
}

textures/glass/entity_second_dark_bright
{
	qer_editorimage textures/glass/entity_second_dark
	{
		color 0.75 0.75 0.75
		shininess 256
		entitySecond
		environment
		bright
	}
}

textures/glass/entity_third
{
	qer_editorimage textures/glass/entity_third
	{
		shininess 256
		entityThird
		environment
	}
}

textures/glass/entity_third_bright
{
	qer_editorimage textures/glass/entity_third
	{
		entityThird
		shininess 256
		environment
		bright
	}
}

textures/glass/entity_third_dark
{
	qer_editorimage textures/glass/entity_third_dark
	{
		color 0.50 0.50 0.50
		shininess 256
		entityThird
		environment
	}
}

textures/glass/entity_third_dark_bright
{
	qer_editorimage textures/glass/entity_third_dark
	{
		color 0.75 0.75 0.75
		shininess 256
		entityThird
		environment
		bright
	}
}
